com.tibbo.aggregate.common.action.command

## Class LaunchWidget

- java.lang.Object
- - com.tibbo.aggregate.common.action.GenericActionCommand
  - - com.tibbo.aggregate.common.action.command.LaunchWidget

- All Implemented Interfaces:
    ActionCommand, java.lang.Cloneable
  Direct Known Subclasses:
    LaunchProcessControlProgram

      public class LaunchWidget
      extends GenericActionCommand

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CF_DASHBOARD`
    `static java.lang.String` | `CF_DASHBOARDS_HIERARCHY_INFO`
    `static java.lang.String` | `CF_DEFAULT_CONTEXT`
    `static java.lang.String` | `CF_INPUT`
    `static java.lang.String` | `CF_KEY`
    `static java.lang.String` | `CF_LOCATION`
    `static java.lang.String` | `CF_TEMPLATE`
    `static java.lang.String` | `CF_WIDGET_CONTEXT`
    `static java.lang.String` | `CF_WIDGET_SETTINGS`
    `static TableFormat` | `CFT_LAUNCH_WIDGET`

    - ### Fields inherited from class com.tibbo.aggregate.common.action.GenericActionCommand

      `CF_COMPONENT_LOCATION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LaunchWidget()`
    `LaunchWidget(java.lang.String title, DataTable parameters)`
    `LaunchWidget(java.lang.String keyString, java.lang.String title, DataTable parameters)`
    `LaunchWidget(java.lang.String title, java.lang.String widgetContext, java.lang.String defaultContext)`
    `LaunchWidget(java.lang.String title, java.lang.String widgetContext, java.lang.String defaultContext, java.lang.String template)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected DataTable` | `constructParameters()`
    `DashboardProperties` | `getDashboard()`
    `DashboardsHierarchyInfo` | `getDashboardsHierarchyInfo()`
    `java.lang.String` | `getDefaultContext()`
    `DataTable` | `getInput()`
    `java.lang.String` | `getKey()`
    `WindowLocation` | `getLocation()`
    `java.lang.String` | `getTemplate()`
    `java.lang.String` | `getWidgetContext()`
    `DataTable` | `getWidgetSettings()`
    `void` | `setDashboard(DashboardProperties dashboard)`
    `void` | `setDashboardsHierarchyInfo(DashboardsHierarchyInfo dhInfo)`
    `void` | `setDefaultContext(java.lang.String defaultContext)`
    `void` | `setInput(DataTable input)`
    `void` | `setKey(java.lang.String key)`
    `void` | `setLocation(WindowLocation location)`
    `void` | `setTemplate(java.lang.String encodedWidgetTemplate)`
    `void` | `setWidgetContext(java.lang.String widgetContext)`
    `void` | `setWidgetSettings(DataTable widgetSettings)`

    - ### Methods inherited from class com.tibbo.aggregate.common.action.GenericActionCommand

      `clone, createDefaultResponse, equals, getComponentLocation, getParameters, getRequestId, getResponseFormat, getTitle, getType, hashCode, isBatchEntry, isInteractive, isLast, isResponseValid, setBatchEntry, setComponentLocation, setComponentLocation, setInteractive, setLast, setParameters, setRequestId, setTitle, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CF_DEFAULT_CONTEXT

          public static final java.lang.String CF_DEFAULT_CONTEXT

      See Also:
        Constant Field Values

    - #### CF_WIDGET_CONTEXT

          public static final java.lang.String CF_WIDGET_CONTEXT

      See Also:
        Constant Field Values

    - #### CF_TEMPLATE

          public static final java.lang.String CF_TEMPLATE

      See Also:
        Constant Field Values

    - #### CF_LOCATION

          public static final java.lang.String CF_LOCATION

      See Also:
        Constant Field Values

    - #### CF_DASHBOARD

          public static final java.lang.String CF_DASHBOARD

      See Also:
        Constant Field Values

    - #### CF_KEY

          public static final java.lang.String CF_KEY

      See Also:
        Constant Field Values

    - #### CF_INPUT

          public static final java.lang.String CF_INPUT

      See Also:
        Constant Field Values

    - #### CF_DASHBOARDS_HIERARCHY_INFO

          public static final java.lang.String CF_DASHBOARDS_HIERARCHY_INFO

      See Also:
        Constant Field Values

    - #### CF_WIDGET_SETTINGS

          public static final java.lang.String CF_WIDGET_SETTINGS

      See Also:
        Constant Field Values

    - #### CFT_LAUNCH_WIDGET

          public static final TableFormat CFT_LAUNCH_WIDGET

  - ### Constructor Detail

    - #### LaunchWidget

          public LaunchWidget()

    - #### LaunchWidget

          public LaunchWidget(java.lang.String title,
                              java.lang.String widgetContext,
                              java.lang.String defaultContext)

    - #### LaunchWidget

          public LaunchWidget(java.lang.String title,
                              java.lang.String widgetContext,
                              java.lang.String defaultContext,
                              java.lang.String template)

    - #### LaunchWidget

          public LaunchWidget(java.lang.String keyString,
                              java.lang.String title,
                              DataTable parameters)

    - #### LaunchWidget

          public LaunchWidget(java.lang.String title,
                              DataTable parameters)

  - ### Method Detail

    - #### constructParameters

          protected DataTable constructParameters()

      Overrides:
        `constructParameters` in class `GenericActionCommand`

    - #### getDefaultContext

          public java.lang.String getDefaultContext()

    - #### setDefaultContext

          public void setDefaultContext(java.lang.String defaultContext)

    - #### getWidgetContext

          public java.lang.String getWidgetContext()

    - #### setWidgetContext

          public void setWidgetContext(java.lang.String widgetContext)

    - #### getTemplate

          public java.lang.String getTemplate()

    - #### setTemplate

          public void setTemplate(java.lang.String encodedWidgetTemplate)

    - #### getLocation

          public WindowLocation getLocation()

    - #### setLocation

          public void setLocation(WindowLocation location)

    - #### getDashboard

          public DashboardProperties getDashboard()

    - #### setDashboard

          public void setDashboard(DashboardProperties dashboard)

    - #### getInput

          public DataTable getInput()

    - #### setInput

          public void setInput(DataTable input)

    - #### getKey

          public java.lang.String getKey()

    - #### setKey

          public void setKey(java.lang.String key)

    - #### getDashboardsHierarchyInfo

          public DashboardsHierarchyInfo getDashboardsHierarchyInfo()

    - #### setDashboardsHierarchyInfo

          public void setDashboardsHierarchyInfo(DashboardsHierarchyInfo dhInfo)

    - #### getWidgetSettings

          public DataTable getWidgetSettings()

    - #### setWidgetSettings

          public void setWidgetSettings(DataTable widgetSettings)